# glm::gtx::projection Namespace Reference

GLM_GTX_projection extension: Projection of a vector to other one. More...

## Functions
template<typename T >
detail::tvec4< T > | proj (detail::tvec4< T > const &x, detail::tvec4< T > const &Normal)
| Projects x on Normal.
template<typename T >
detail::tvec3< T > | proj (detail::tvec3< T > const &x, detail::tvec3< T > const &Normal)
| Projects x on Normal.
template<typename T >
detail::tvec2< T > | proj (detail::tvec2< T > const &x, detail::tvec2< T > const &Normal)
| Projects x on Normal.

## Detailed Description

GLM_GTX_projection extension: Projection of a vector to other one.

## Function Documentation

detail::tvec4<T> glm::gtx::projection::proj | ( | detail::tvec4< T > const & | x,
|  | detail::tvec4< T > const & | Normal |
| ) |  |  |

Projects x on Normal.

From GLM_GTX_projection extension.

detail::tvec3<T> glm::gtx::projection::proj | ( | detail::tvec3< T > const & | x,
|  | detail::tvec3< T > const & | Normal |
| ) |  |  |

Projects x on Normal.

From GLM_GTX_projection extension.

detail::tvec2<T> glm::gtx::projection::proj | ( | detail::tvec2< T > const & | x,
|  | detail::tvec2< T > const & | Normal |
| ) |  |  |

Projects x on Normal.

From GLM_GTX_projection extension.